Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.options
Class IntOption

    java.lang.Object
      |
      +--com.sun.jimi.core.options.FormatOption
            |
            +--com.sun.jimi.core.options.IntOption

public class IntOption
extends FormatOption

FormatOption for int-based values. Handles bounded values.

Field Summary
`protected boolean` | `bounded`
`protected int` | `intValue`
`protected int` | `max`
`protected int` | `min`

Fields inherited from class com.sun.jimi.core.options.FormatOption
`defaultValue, description, name, possibleValues, value`

Constructor Summary
`IntOption(java.lang.String name, java.lang.String description, int defaultValue)` Create an unbounded int-based option.
`IntOption(java.lang.String name, java.lang.String description, int defaultValue, int minValue, int maxValue)` Create a bounded int-based option.

Method Summary
`int` | `getIntValue()`
`java.lang.Object` | `getValue()`
`void` | `parseValue(java.lang.String value)`
`void` | `setIntValue(int value)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class com.sun.jimi.core.options.FormatOption
`clone, getDefaultValue, getDescription, getName, getPossibleValues`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### intValue

    protected int intValue

### bounded

    protected boolean bounded

### min

    protected int min

### max

    protected int max

Constructor Detail

### IntOption

    public IntOption(java.lang.String name,
                     java.lang.String description,
                     int defaultValue)

  Create an unbounded int-based option.

### IntOption

    public IntOption(java.lang.String name,
                     java.lang.String description,
                     int defaultValue,
                     int minValue,
                     int maxValue)

  Create a bounded int-based option.
  Parameters:
    `min` - the minimum value allowed (inclusive)
    `max` - the maximum value allowed (inclusive)

Method Detail

### parseValue

    public void parseValue(java.lang.String value)
                    throws OptionException

  Overrides:
    parseValue in class FormatOption

### setValue

    public void setValue(java.lang.Object value)
                  throws OptionException

  Overrides:
    setValue in class FormatOption

### getValue

    public java.lang.Object getValue()

  Overrides:
    getValue in class FormatOption

### setIntValue

    public void setIntValue(int value)
                     throws OptionException

### getIntValue

    public int getIntValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD